List of permissions
Returns information about permissions to manage the tag and view statistics. This data can be retrieved by the tag owner or a user with tag edit rights. If you don't have the edit permission , ask the tag owner to grant it to you.
Request
GET
https://api-metrika.yandex.net/management/v1/counter/{counterId}/grants
Path parameters
|
Name |
Description |
|
counterId |
Type: integer ID of the tag for which you want to view the list of permissions. |
Query parameters
|
Name |
Description |
|
callback |
Type: string Callback function that processes the API response. Example: `` |
Responses
200 OK
OK
Body
application/json
{
"grants": [
{
"user_login": "example",
"user_uid": 0,
"perm": "example",
"created_at": "2025-01-01T00:00:00Z",
"comment": "example",
"email": "example",
"partner_data_access": true
}
]
}
|
Name |
Description |
|
grants |
Type: arrayOne of 2 types
Permission to manage the tag and view statistics. Example
|
CounterGrantE
List of structures with information on access rights to the tag.
|
Name |
Description |
|
perm |
Type: string Access level:
Example: |
|
comment |
Type: string Arbitrary comment. The maximum number of characters is 255. Min length: Max length: Example: |
|
created_at |
Type: string<date-time> Date when the permission was granted in YYYY-MM-DD'T'hh:mm:ssZ format. Example: |
|
|
Type: string Example: |
|
partner_data_access |
Type: boolean Access to the Monetization report group. The user can view reports and add dimensions and metrics from the Monetization group to other reports. If the user has edit rights, reports from the Monetization group are already available to them. Possible values:
|
|
user_login |
Type: string Login of a user with tag management rights. This parameter contains an empty string if tag statistics are in public access ( Example: |
|
user_uid |
Type: integer uid (Yandex ID) of a user with tag management rights. Parameter is 0 if tag statistics are in public access ( Note Optional request parameter. |
Example
{
"user_login": "example",
"user_uid": 0,
"perm": "example",
"created_at": "2025-01-01T00:00:00Z",
"comment": "example",
"email": "example",
"partner_data_access": true
}
AccessFiltersShortE
List of access filters granted to the user.
|
Name |
Description |
|
id |
Type: integer Access filter ID. |
|
name |
Type: string Access filter name. Example: |
Example
{
"id": 0,
"name": "example"
}
AccessFiltersGrantE
All of 2 types
-
Type: CounterGrantE
List of structures with information on access rights to the tag.
Example
{ "user_login": "example", "user_uid": 0, "perm": "example", "created_at": "2025-01-01T00:00:00Z", "comment": "example", "email": "example", "partner_data_access": true } -
Type: object
access_filters
Type: AccessFiltersShortE[]
Min items:
1Max items:
1Example
[ { "id": 0, "name": "example" } ]Example
{ "access_filters": [ { "id": 0, "name": "example" } ] }
Example
{
"user_login": "example",
"user_uid": 0,
"perm": "example",
"created_at": "2025-01-01T00:00:00Z",
"comment": "example",
"email": "example",
"partner_data_access": true,
"access_filters": [
{
"id": 0,
"name": "example"
}
]
}